lkml.org 
[lkml]   [2012]   [Mar]   [1]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH 3/3] [media] s5p-tv: Add initial DT-support for TV mixer
On 01.03.2012 04:18, Thomas Abraham wrote:

> On 29 February 2012 20:21, Karol Lewandowski <k.lewandowsk@samsung.com> wrote:
>> ---
>> drivers/media/video/s5p-tv/mixer_drv.c | 9 +++++++++
>> 1 files changed, 9 insertions(+), 0 deletions(-)
>>
>> diff --git a/drivers/media/video/s5p-tv/mixer_drv.c b/drivers/media/video/s5p-tv/mixer_drv.c
>> index a2c0c25..6bf4a9e 100644
>> --- a/drivers/media/video/s5p-tv/mixer_drv.c
>> +++ b/drivers/media/video/s5p-tv/mixer_drv.c
>> @@ -448,6 +448,14 @@ static int __devexit mxr_remove(struct platform_device *pdev)
>> return 0;
>> }
>>
>> +#ifdef CONFIG_OF
>> +static const struct of_device_id mxr_dt_match[] = {
>> + { .compatible = "samsung,exynos4210-tvmixer" },
>
> If the tvmixer module is also available in SoC's prior to Exynos4210,
> and if tvmixer in Exynos4210 is similar to tvmixer found on prior
> SoC's, the base version should indicate that. For instance, if the
> tvmixer started to appear from s5pv210 onwards, then the compatible
> value should be "samsung,s5pv210-tvmixer". The compatible string
> should indicate the base version.


Fair point, although I'm afraid that chosing "base" version might be
tricky sometimes (e.g. while g2d seems to be available on s5pv210 driver
itself have been tested only on s5pv310/exynos4210 - chosing s5pv210 as
base doesn't look like best idea.)

I'll resend fixed patches later.

Thank you very much for review!

Regards,
--
Karol Lewandowski | Samsung Poland R&D Center | Linux/Platform

\
 
 \ /
  Last update: 2012-03-01 18:29    [from the cache]
©2003-2014 Jasper Spaans. hosted at Digital Ocean